CREATE TABLE T_PROJECT(
	PROJECT_CD VARCHAR(4) primary key,
	PROJECT_NM VARCHAR(40) NOT NULL,
	CUSTOMER_CD VARCHAR(4) NOT NULL,
	EXPECTED_START DATE,
	EXPECTED_END DATE,
	ACTUAL_START DATE,
	ACTUAL_END DATE,
	DELIVERY_DT DATE,
	ACCEPTANCE_DT DATE,
	OVERVIEW VARCHAR(200),
	SALES_CD VARCHAR(4),
	STATUS_CD VARCHAR(2)
);

CREATE TABLE M_CUSTOMER(
	CUSTOMER_CD VARCHAR(4) primary key,
	CUSTOMER_NM VARCHAR(40) NOT NULL
);

CREATE TABLE M_EMPLOYEE(
	EMPLOYEE_CD VARCHAR(4) primary key,
	EMPLOYEE_NM VARCHAR(20) NOT NULL,
	DEPARTMENT_CD VARCHAR(2)
);

CREATE TABLE M_DEPARTMENT(
	DEPARTMENT_CD VARCHAR(2) primary key,
	DEPARTMENT_NM VARCHAR(20) NOT NULL
);

CREATE TABLE M_PROCESS(
	PROCESS_CD VARCHAR(2) primary key,
	PROCESS VARCHAR(20) NOT NULL
);

CREATE TABLE M_STATUS(
	STATUS_CD VARCHAR(2) primary key,
	STATUS_NM VARCHAR(10) NOT NULL
);

CREATE TABLE T_PROCESS(
	PROJECT_CD VARCHAR(4),
	PROCESS_CD VARCHAR(2),
	PROCESS_SEQ VARCHAR(3),
	FUNCTION_NM VARCHAR(20),
	EMPLOYEE_CD VARCHAR(4),
	EXPECTED_START DATE,
	EXPECTED_END DATE,
	ACTUAL_START DATE,
	ACTUAL_END DATE,
	STATUS_CD VARCHAR(2),
	NOTES VARCHAR(100),
	primary key(PROJECT_CD,PROCESS_CD,PROCESS_SEQ)
);
